> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all viewings

> Returns a list of viewings. The viewings are returned sorted by start time.



## OpenAPI

````yaml openapi-leads.json GET /v1/leads/viewings
openapi: 3.1.0
info:
  title: Yorlet Leads API
  description: APIs for managing enquiries, qualification configurations, and viewings.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/leads/viewings:
    get:
      tags:
        - Leads Viewings
      summary: List all viewings
      description: >-
        Returns a list of viewings. The viewings are returned sorted by start
        time.
      operationId: leads_viewings_list
      responses:
        '200':
          description: A object with a data property that contains an array of viewings.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - leads.viewing
                        assignee:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - user
                                email:
                                  type: string
                                name:
                                  type: string
                              required:
                                - id
                                - created
                                - object
                                - email
                                - name
                            - type: string
                            - type: 'null'
                          description: The team member hosting the viewing.
                        canceled_at:
                          type:
                            - number
                            - 'null'
                          description: >-
                            Time at which the viewing was canceled. Measured in
                            seconds since the Unix epoch.
                        canceled_reason:
                          type:
                            - string
                            - 'null'
                          description: The reason recorded when the viewing was canceled.
                        completed_at:
                          type:
                            - number
                            - 'null'
                          description: >-
                            Time at which the viewing was marked as completed.
                            Measured in seconds since the Unix epoch.
                        duration:
                          type: integer
                          description: How long the viewing lasts, in minutes.
                        enquiry:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - leads.enquiry
                                email:
                                  type:
                                    - string
                                    - 'null'
                                  description: The enquirer's email address.
                                metadata:
                                  type:
                                    - object
                                    - 'null'
                                  additionalProperties:
                                    type: string
                                  description: >-
                                    Set of key-value pairs that you can attach
                                    to an object. This can be useful for storing
                                    additional information about the object in a
                                    structured format.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: The enquirer's full name.
                                phone:
                                  type:
                                    - string
                                    - 'null'
                                  description: The enquirer's phone number.
                                qualification_configuration:
                                  anyOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                          description: Unique identifier for the object.
                                        created:
                                          type: number
                                          description: >-
                                            Time at which the object was created.
                                            Measured in seconds since the Unix
                                            epoch.
                                        account:
                                          type: string
                                          description: >-
                                            The account that the object belongs to.
                                            Only returned if the request is made
                                            with a valid Yorlet-Context header.
                                        deleted:
                                          type: boolean
                                          default: false
                                          description: >-
                                            Only returned if the object has been
                                            deleted.
                                        object:
                                          type: string
                                          enum:
                                            - leads.qualification_configuration
                                        active:
                                          type: boolean
                                          description: >-
                                            Whether the qualification configuration
                                            is active.
                                        after_completion:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - hosted_confirmation
                                                - redirect
                                              description: >-
                                                The specific action to take after
                                                completion.
                                            hosted_confirmation:
                                              type: object
                                              properties:
                                                custom_message:
                                                  type: string
                                                  description: >-
                                                    Custom message to display after
                                                    completion.
                                              description: >-
                                                Configuration when
                                                type=hosted_confirmation.
                                            redirect:
                                              type: object
                                              properties:
                                                url:
                                                  type: string
                                                  format: uri
                                                  description: URL to redirect to after completion.
                                              required:
                                                - url
                                              description: Configuration when type=redirect.
                                          required:
                                            - type
                                          description: >-
                                            Configuration for after the
                                            qualification is completed.
                                        default:
                                          type: boolean
                                          description: >-
                                            Whether this is the default
                                            qualification configuration.
                                        description:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            An arbitrary description attached to the
                                            object.
                                        hosted_qualification_url:
                                          type:
                                            - string
                                            - 'null'
                                          format: uri
                                          description: >-
                                            The URL for the hosted qualification
                                            form.
                                        name:
                                          type: string
                                          description: >-
                                            The name of the qualification
                                            configuration.
                                        questions:
                                          type: object
                                          properties:
                                            move_in_date:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: true
                                                  description: >-
                                                    Whether the move-in date question is
                                                    asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the move-in date question is
                                                    required.
                                              description: >-
                                                Configuration for the move-in timeline
                                                question.
                                            budget:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: true
                                                  description: Whether the budget question is asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: Whether the budget question is required.
                                                min_budget:
                                                  type:
                                                    - number
                                                    - 'null'
                                                  default: null
                                                  description: Minimum acceptable budget.
                                                max_budget:
                                                  type:
                                                    - number
                                                    - 'null'
                                                  default: null
                                                  description: >-
                                                    Maximum acceptable budget (used for
                                                    filtering).
                                              description: >-
                                                Configuration for the
                                                budget/affordability question.
                                            household:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: true
                                                  description: >-
                                                    Whether the household composition
                                                    question is asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the household composition
                                                    question is required.
                                                ask_occupants:
                                                  type: boolean
                                                  default: true
                                                  description: >-
                                                    Whether to ask how many people will
                                                    occupy the unit.
                                                ask_children:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether to ask if there will be children
                                                    in the household.
                                                max_occupants:
                                                  type:
                                                    - number
                                                    - 'null'
                                                  default: null
                                                  description: The maximum number of occupants allowed.
                                              description: >-
                                                Configuration for the household
                                                composition question.
                                            pets:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: true
                                                  description: Whether the pets question is asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: Whether the pets question is required.
                                                allowed:
                                                  type: boolean
                                                  default: true
                                                  description: Whether pets are allowed.
                                                allowed_types:
                                                  type:
                                                    - array
                                                    - 'null'
                                                  items:
                                                    type: string
                                                    enum:
                                                      - dog
                                                      - cat
                                                      - small_animal
                                                      - bird
                                                      - fish
                                                      - other
                                                  default: null
                                                  description: The pet types allowed at the property.
                                                max_pets:
                                                  type:
                                                    - number
                                                    - 'null'
                                                  default: null
                                                  description: The maximum number of pets allowed.
                                              description: Configuration for the pets question.
                                            employment:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: true
                                                  description: >-
                                                    Whether the employment question is
                                                    asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the employment question is
                                                    required.
                                                ask_employer:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether to ask for the lead's employer
                                                    name.
                                                ask_income:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether to ask for the lead's income
                                                    range.
                                                accepted_statuses:
                                                  type:
                                                    - array
                                                    - 'null'
                                                  items:
                                                    type: string
                                                    enum:
                                                      - employed
                                                      - self_employed
                                                      - student
                                                      - retired
                                                      - benefits
                                                      - other
                                                  default:
                                                    - employed
                                                    - self_employed
                                                    - student
                                                    - retired
                                                    - benefits
                                                    - other
                                                  description: >-
                                                    The employment statuses that are
                                                    accepted.
                                              description: >-
                                                Configuration for the employment/income
                                                status question.
                                            smoking:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: false
                                                  description: Whether the smoking question is asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the smoking question is
                                                    required.
                                                non_smokers_only:
                                                  type: boolean
                                                  default: false
                                                  description: Whether only non-smokers are accepted.
                                              description: >-
                                                Configuration for the smoking preference
                                                question.
                                            current_situation:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the current living situation
                                                    question is asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the current living situation
                                                    question is required.
                                                ask_reason_for_moving:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether to ask for the reason for
                                                    moving.
                                                ask_current_landlord:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether to ask for the current landlord
                                                    (used for references).
                                              description: >-
                                                Configuration for the current living
                                                situation question.
                                            right_to_rent:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the right to rent question is
                                                    asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the right to rent question is
                                                    required.
                                              description: >-
                                                Configuration for the right to rent
                                                question.
                                            guarantor:
                                              type: object
                                              properties:
                                                enabled:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the guarantor availability
                                                    question is asked.
                                                required:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Whether the guarantor availability
                                                    question is required.
                                              description: >-
                                                Configuration for the guarantor
                                                availability question.
                                          required:
                                            - move_in_date
                                            - budget
                                            - household
                                            - pets
                                            - employment
                                            - smoking
                                            - current_situation
                                            - right_to_rent
                                            - guarantor
                                          description: >-
                                            Set of standard qualification questions
                                            to ask leads.
                                        custom_questions:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                                description: >-
                                                  Unique identifier for the custom
                                                  question.
                                              label:
                                                type: string
                                                description: >-
                                                  The label or text shown for the
                                                  question.
                                              type:
                                                type: string
                                                enum:
                                                  - text
                                                  - textarea
                                                  - select
                                                  - multiselect
                                                  - checkbox
                                                  - number
                                                description: The input type used for the question.
                                              required:
                                                type: boolean
                                                default: false
                                                description: Whether an answer is required.
                                              options:
                                                type:
                                                  - array
                                                  - 'null'
                                                items:
                                                  type: string
                                                description: >-
                                                  Options for select or multiselect
                                                  questions.
                                            required:
                                              - id
                                              - label
                                              - type
                                              - options
                                          description: Custom freeform questions to ask leads.
                                        metadata:
                                          type:
                                            - object
                                            - 'null'
                                          additionalProperties:
                                            type: string
                                          description: >-
                                            Set of key-value pairs that you can
                                            attach to an object. This can be useful
                                            for storing additional information about
                                            the object in a structured format.
                                      required:
                                        - id
                                        - created
                                        - object
                                        - active
                                        - after_completion
                                        - default
                                        - description
                                        - hosted_qualification_url
                                        - name
                                        - questions
                                        - custom_questions
                                    - type: string
                                    - type: 'null'
                                  description: >-
                                    The qualification configuration the enquiry
                                    was submitted against, if any.
                                qualification:
                                  type: object
                                  properties:
                                    answers:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        move_in_date:
                                          type:
                                            - string
                                            - 'null'
                                          enum:
                                            - immediately
                                            - 1_month
                                            - 2_months
                                            - 3_months
                                            - flexible
                                            - null
                                          description: When the lead is planning to move in.
                                        budget:
                                          type:
                                            - number
                                            - 'null'
                                          description: The lead's budget for rent.
                                        household_occupants:
                                          type:
                                            - number
                                            - 'null'
                                          description: The number of people in the household.
                                        household_has_children:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: Whether the household includes children.
                                        has_pets:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: Whether the lead has pets.
                                        pet_types:
                                          type:
                                            - array
                                            - 'null'
                                          items:
                                            type: string
                                            enum:
                                              - dog
                                              - cat
                                              - small_animal
                                              - bird
                                              - fish
                                              - other
                                          description: The types of pets the lead has.
                                        pet_details:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            Free-form details about the pets the
                                            lead has.
                                        employment_status:
                                          type:
                                            - string
                                            - 'null'
                                          enum:
                                            - employed
                                            - self_employed
                                            - student
                                            - retired
                                            - benefits
                                            - other
                                            - null
                                          description: The lead's employment status.
                                        employer_name:
                                          type:
                                            - string
                                            - 'null'
                                          description: The lead's employer name.
                                        income_range:
                                          type:
                                            - string
                                            - 'null'
                                          enum:
                                            - under_20k
                                            - 20k_30k
                                            - 30k_40k
                                            - 40k_50k
                                            - 50k_75k
                                            - 75k_100k
                                            - over_100k
                                            - null
                                          description: The lead's income range.
                                        is_smoker:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: Whether the lead is a smoker.
                                        current_situation:
                                          type:
                                            - string
                                            - 'null'
                                          enum:
                                            - renting
                                            - homeowner
                                            - living_with_family
                                            - relocating
                                            - other
                                            - null
                                          description: The lead's current living situation.
                                        reason_for_moving:
                                          type:
                                            - string
                                            - 'null'
                                          description: The lead's reason for moving.
                                        current_landlord_name:
                                          type:
                                            - string
                                            - 'null'
                                          description: The lead's current landlord name.
                                        current_landlord_contact:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The lead's current landlord contact
                                            details.
                                        has_right_to_rent:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: >-
                                            Whether the lead has the right to rent
                                            (UK only).
                                        has_guarantor:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: >-
                                            Whether the lead can provide a
                                            guarantor.
                                      required:
                                        - move_in_date
                                        - budget
                                        - household_occupants
                                        - household_has_children
                                        - has_pets
                                        - pet_types
                                        - pet_details
                                        - employment_status
                                        - employer_name
                                        - income_range
                                        - is_smoker
                                        - current_situation
                                        - reason_for_moving
                                        - current_landlord_name
                                        - current_landlord_contact
                                        - has_right_to_rent
                                        - has_guarantor
                                      description: >-
                                        The standard qualification answers
                                        submitted by the lead.
                                    custom_answers:
                                      type:
                                        - array
                                        - 'null'
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            description: >-
                                              Identifier of the custom question being
                                              answered.
                                          label:
                                            type: string
                                            description: >-
                                              The label of the custom question being
                                              answered.
                                          type:
                                            type: string
                                            enum:
                                              - text
                                              - textarea
                                              - select
                                              - multiselect
                                              - checkbox
                                              - number
                                            description: >-
                                              The input type of the custom question
                                              being answered.
                                          value:
                                            anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                              - type: array
                                                items:
                                                  type: string
                                              - type: 'null'
                                            description: >-
                                              The value submitted for the custom
                                              question.
                                        required:
                                          - id
                                          - label
                                          - type
                                          - value
                                      description: >-
                                        The custom question answers submitted by
                                        the lead.
                                    reason:
                                      type:
                                        - string
                                        - 'null'
                                      description: >-
                                        Reason recorded when the enquiry is
                                        reviewed.
                                    score:
                                      type:
                                        - integer
                                        - 'null'
                                      description: >-
                                        A score assigned to the enquiry based on
                                        its qualification answers.
                                  required:
                                    - answers
                                    - custom_answers
                                    - reason
                                    - score
                                  description: >-
                                    The qualification data captured for this
                                    enquiry.
                                referral:
                                  type: object
                                  properties:
                                    ip_address:
                                      type:
                                        - string
                                        - 'null'
                                      description: >-
                                        IP address from which the enquiry was
                                        submitted.
                                    user_agent:
                                      type:
                                        - string
                                        - 'null'
                                      description: >-
                                        User agent from which the enquiry was
                                        submitted.
                                  required:
                                    - ip_address
                                    - user_agent
                                  description: >-
                                    Referral metadata captured when the enquiry
                                    was submitted.
                                status:
                                  type: string
                                  enum:
                                    - new
                                    - pending
                                    - contacted
                                    - qualified
                                    - viewing
                                    - application
                                    - won
                                    - lost
                                    - disqualified
                                  description: The status of the enquiry.
                                source:
                                  type:
                                    - string
                                    - 'null'
                                  enum:
                                    - web_form
                                    - widget
                                    - email
                                    - portal
                                    - phone
                                    - manual
                                    - referral
                                    - null
                                  description: The channel the enquiry originated from.
                                assignee:
                                  type:
                                    - string
                                    - 'null'
                                  description: The team member the enquiry is assigned to.
                                unit:
                                  anyOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                          description: Unique identifier for the object.
                                        created:
                                          type: number
                                          description: >-
                                            Time at which the object was created.
                                            Measured in seconds since the Unix
                                            epoch.
                                        account:
                                          type: string
                                          description: >-
                                            The account that the object belongs to.
                                            Only returned if the request is made
                                            with a valid Yorlet-Context header.
                                        deleted:
                                          type: boolean
                                          default: false
                                          description: >-
                                            Only returned if the object has been
                                            deleted.
                                        object:
                                          type: string
                                          enum:
                                            - unit
                                        active:
                                          type: boolean
                                          description: Whether the unit is currently active.
                                        address:
                                          type: object
                                          properties:
                                            line1:
                                              type:
                                                - string
                                                - 'null'
                                            line2:
                                              type:
                                                - string
                                                - 'null'
                                            city:
                                              type:
                                                - string
                                                - 'null'
                                            country:
                                              type:
                                                - string
                                                - 'null'
                                            postal_code:
                                              type:
                                                - string
                                                - 'null'
                                            state:
                                              type:
                                                - string
                                                - 'null'
                                          description: The physical address of the unit.
                                        archived:
                                          type: boolean
                                          description: Whether the unit has been archived.
                                        archived_at:
                                          type:
                                            - number
                                            - 'null'
                                          description: The time at which the unit was archived.
                                        assignee:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The ID of the user the unit is assigned
                                            to.
                                        available_from:
                                          type:
                                            - number
                                            - 'null'
                                          description: The date the unit is available from.
                                        bathrooms:
                                          type:
                                            - number
                                            - 'null'
                                          description: The number of bathrooms in the unit.
                                        bedrooms:
                                          type:
                                            - number
                                            - 'null'
                                          description: The number of bedrooms in the unit.
                                        building:
                                          anyOf:
                                            - type: object
                                              properties:
                                                id:
                                                  type: string
                                                  description: Unique identifier for the object.
                                                created:
                                                  type: number
                                                  description: >-
                                                    Time at which the object was created.
                                                    Measured in seconds since the Unix
                                                    epoch.
                                                account:
                                                  type: string
                                                  description: >-
                                                    The account that the object belongs to.
                                                    Only returned if the request is made
                                                    with a valid Yorlet-Context header.
                                                deleted:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Only returned if the object has been
                                                    deleted.
                                                object:
                                                  type: string
                                                  enum:
                                                    - building
                                                active:
                                                  type: boolean
                                                  description: >-
                                                    Whether the building is currently
                                                    active.
                                                address:
                                                  type: object
                                                  properties:
                                                    line1:
                                                      type:
                                                        - string
                                                        - 'null'
                                                    line2:
                                                      type:
                                                        - string
                                                        - 'null'
                                                    city:
                                                      type:
                                                        - string
                                                        - 'null'
                                                    country:
                                                      type:
                                                        - string
                                                        - 'null'
                                                    postal_code:
                                                      type:
                                                        - string
                                                        - 'null'
                                                    state:
                                                      type:
                                                        - string
                                                        - 'null'
                                                  description: The physical address of the building.
                                                currency:
                                                  type: string
                                                  description: >-
                                                    The default currency used for the
                                                    building.
                                                description:
                                                  type:
                                                    - string
                                                    - 'null'
                                                  description: >-
                                                    An arbitrary description attached to the
                                                    building.
                                                marketing:
                                                  type: object
                                                  properties:
                                                    featured_photo:
                                                      type:
                                                        - string
                                                        - 'null'
                                                      description: >-
                                                        The ID of the file used as the featured
                                                        photo for the building.
                                                    photos:
                                                      type: array
                                                      items:
                                                        type: string
                                                      description: >-
                                                        IDs of additional photos used to market
                                                        the building.
                                                  description: >-
                                                    Marketing details displayed for the
                                                    building.
                                                metadata:
                                                  type:
                                                    - object
                                                    - 'null'
                                                  additionalProperties:
                                                    type: string
                                                  description: >-
                                                    Set of key-value pairs that you can
                                                    attach to an object. This can be useful
                                                    for storing additional information about
                                                    the object in a structured format.
                                                name:
                                                  type: string
                                                  description: The name of the building.
                                                removable:
                                                  type: boolean
                                                  description: Whether the building can be deleted.
                                                single_unit:
                                                  type: boolean
                                                  description: >-
                                                    Whether the building is treated as a
                                                    single unit.
                                                type:
                                                  type:
                                                    - string
                                                    - 'null'
                                                  enum:
                                                    - block_management
                                                    - commercial
                                                    - residential
                                                    - student
                                                    - null
                                                  description: The type of the building.
                                                unit_fees:
                                                  type: object
                                                  properties:
                                                    management_fee:
                                                      type:
                                                        - number
                                                        - 'null'
                                                      description: >-
                                                        The default management fee charged to
                                                        landlords for units in the building.
                                                    management_fee_amount:
                                                      type:
                                                        - number
                                                        - 'null'
                                                      description: >-
                                                        The fixed management fee amount, in the
                                                        smallest currency unit, when using a
                                                        `fixed` fee type.
                                                    management_fee_discount:
                                                      type:
                                                        - object
                                                        - 'null'
                                                      properties:
                                                        end:
                                                          type:
                                                            - number
                                                            - 'null'
                                                          description: >-
                                                            The timestamp at which the management
                                                            fee discount ends.
                                                        percent_off:
                                                          type:
                                                            - number
                                                            - 'null'
                                                          description: >-
                                                            The percentage discount applied to the
                                                            management fee.
                                                      required:
                                                        - percent_off
                                                      description: >-
                                                        An optional discount applied to the
                                                        management fee.
                                                    management_fee_type:
                                                      type:
                                                        - string
                                                        - 'null'
                                                      enum:
                                                        - percentage
                                                        - fixed
                                                        - null
                                                      description: How the management fee is calculated.
                                                    renewal_fee:
                                                      type:
                                                        - number
                                                        - 'null'
                                                      description: >-
                                                        The default renewal fee charged to
                                                        landlords for units in the building.
                                                    rent_review_fee:
                                                      type:
                                                        - number
                                                        - 'null'
                                                      description: >-
                                                        The default rent review fee charged to
                                                        landlords for units in the building.
                                                    tax:
                                                      type:
                                                        - number
                                                        - 'null'
                                                      description: >-
                                                        The default tax rate applied to fees
                                                        charged to landlords for units in the
                                                        building.
                                                    tax_behavior:
                                                      type:
                                                        - string
                                                        - 'null'
                                                      enum:
                                                        - exclusive
                                                        - inclusive
                                                        - null
                                                      description: >-
                                                        Whether the default tax rate is
                                                        inclusive or exclusive of the fee
                                                        amount.
                                                    tenant_find_fee:
                                                      type:
                                                        - number
                                                        - 'null'
                                                      description: >-
                                                        The default tenant find fee charged to
                                                        landlords for units in the building.
                                                    updated_at:
                                                      type:
                                                        - integer
                                                        - 'null'
                                                      description: >-
                                                        The time at which the unit fees were
                                                        last updated.
                                                  required:
                                                    - management_fee
                                                    - management_fee_amount
                                                    - management_fee_discount
                                                    - management_fee_type
                                                    - renewal_fee
                                                    - rent_review_fee
                                                    - tax
                                                    - tax_behavior
                                                    - tenant_find_fee
                                                    - updated_at
                                                  description: >-
                                                    Default fees applied to units in this
                                                    building.
                                              required:
                                                - id
                                                - created
                                                - object
                                                - active
                                                - address
                                                - currency
                                                - description
                                                - marketing
                                                - name
                                                - removable
                                                - single_unit
                                                - type
                                                - unit_fees
                                            - type: string
                                          description: The building the unit belongs to.
                                        completion_date:
                                          type:
                                            - number
                                            - 'null'
                                          description: >-
                                            The expected completion date of the
                                            unit.
                                        contract_address:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The address used on contracts for the
                                            unit.
                                        currency:
                                          type: string
                                          description: The default currency for the unit.
                                        currency_options:
                                          type:
                                            - object
                                            - 'null'
                                          additionalProperties:
                                            type: object
                                            properties:
                                              deposit_amount:
                                                type:
                                                  - number
                                                  - 'null'
                                                description: >-
                                                  The deposit amount, in the smallest
                                                  currency unit.
                                              rent_amount:
                                                type:
                                                  - number
                                                  - 'null'
                                                description: >-
                                                  The rent amount, in the smallest
                                                  currency unit.
                                              rent_tax_percent:
                                                type:
                                                  - number
                                                  - 'null'
                                                description: The tax percentage applied to the rent.
                                            required:
                                              - deposit_amount
                                              - rent_amount
                                          description: >-
                                            Per-currency options for the unit, keyed
                                            by ISO currency code.
                                        default_deposit:
                                          type:
                                            - number
                                            - 'null'
                                          description: >-
                                            The default deposit, in the smallest
                                            currency unit, charged for the unit.
                                        default_price:
                                          type:
                                            - number
                                            - 'null'
                                          description: >-
                                            The default monthly rent, in the
                                            smallest currency unit, for the unit.
                                        default_rent_tax_rate:
                                          anyOf:
                                            - type: object
                                              properties:
                                                id:
                                                  type: string
                                                  description: Unique identifier for the object.
                                                created:
                                                  type: number
                                                  description: >-
                                                    Time at which the object was created.
                                                    Measured in seconds since the Unix
                                                    epoch.
                                                account:
                                                  type: string
                                                  description: >-
                                                    The account that the object belongs to.
                                                    Only returned if the request is made
                                                    with a valid Yorlet-Context header.
                                                deleted:
                                                  type: boolean
                                                  default: false
                                                  description: >-
                                                    Only returned if the object has been
                                                    deleted.
                                                object:
                                                  type: string
                                                  enum:
                                                    - tax_rate
                                                active:
                                                  type: boolean
                                                  description: Whether the tax rate is active.
                                                country:
                                                  type:
                                                    - string
                                                    - 'null'
                                                  description: The country for the tax rate.
                                                metadata:
                                                  type:
                                                    - object
                                                    - 'null'
                                                  additionalProperties:
                                                    type: string
                                                  description: >-
                                                    Set of key-value pairs that you can
                                                    attach to an object. This can be useful
                                                    for storing additional information about
                                                    the object in a structured format.
                                                description:
                                                  type:
                                                    - string
                                                    - 'null'
                                                  description: The description of the tax rate.
                                                inclusive:
                                                  type: boolean
                                                  description: >-
                                                    Whether the tax rate is inclusive or
                                                    exclusive.
                                                jurisdiction:
                                                  type:
                                                    - string
                                                    - 'null'
                                                  description: >-
                                                    The jurisdiction for the tax rate. You
                                                    can use this label field for tax
                                                    reporting purposes. It also appears on
                                                    your customer’s invoice.
                                                name:
                                                  type: string
                                                  description: >-
                                                    The name of the tax rates as it will
                                                    appear to your customer on their receipt
                                                    email, PDF, and the hosted invoice page.
                                                percentage:
                                                  type: number
                                                  description: >-
                                                    The percentage of the tax rate out of
                                                    100.
                                                state:
                                                  type:
                                                    - string
                                                    - 'null'
                                                  description: The state for the tax rate.
                                                tax_type:
                                                  type:
                                                    - string
                                                    - 'null'
                                                  enum:
                                                    - gst
                                                    - sales_tax
                                                    - vat
                                                    - custom
                                                    - null
                                                  description: The high-level tax type.
                                              required:
                                                - id
                                                - created
                                                - object
                                                - active
                                                - country
                                                - description
                                                - inclusive
                                                - jurisdiction
                                                - name
                                                - percentage
                                                - state
                                                - tax_type
                                            - type: string
                                            - type: 'null'
                                          description: >-
                                            The default tax rate applied to the rent
                                            for the unit.
                                        features:
                                          type:
                                            - object
                                            - 'null'
                                          properties:
                                            aspect:
                                              type:
                                                - string
                                                - 'null'
                                              enum:
                                                - 'n'
                                                - s
                                                - e
                                                - w
                                                - ne
                                                - nw
                                                - se
                                                - sw
                                                - corner
                                                - null
                                              description: The orientation of the unit.
                                            balcony:
                                              type:
                                                - boolean
                                                - 'null'
                                              description: Whether the unit has a balcony.
                                            pet_friendly:
                                              type:
                                                - boolean
                                                - 'null'
                                              description: Whether the unit is pet-friendly.
                                            view:
                                              type:
                                                - string
                                                - 'null'
                                              description: A description of the view from the unit.
                                            min_term:
                                              type:
                                                - string
                                                - 'null'
                                              description: >-
                                                The minimum term, expressed as an ISO
                                                8601 duration, for the unit.
                                        fees:
                                          type:
                                            - object
                                            - 'null'
                                          properties:
                                            management_fee:
                                              type:
                                                - number
                                                - 'null'
                                              description: >-
                                                The default management fee charged to
                                                landlords for units in the building.
                                            management_fee_amount:
                                              type:
                                                - number
                                                - 'null'
                                              description: >-
                                                The fixed management fee amount, in the
                                                smallest currency unit, when using a
                                                `fixed` fee type.
                                            management_fee_discount:
                                              type:
                                                - object
                                                - 'null'
                                              properties:
                                                end:
                                                  type:
                                                    - number
                                                    - 'null'
                                                  description: >-
                                                    The timestamp at which the management
                                                    fee discount ends.
                                                percent_off:
                                                  type:
                                                    - number
                                                    - 'null'
                                                  description: >-
                                                    The percentage discount applied to the
                                                    management fee.
                                              required:
                                                - percent_off
                                              description: >-
                                                An optional discount applied to the
                                                management fee.
                                            management_fee_type:
                                              type:
                                                - string
                                                - 'null'
                                              enum:
                                                - percentage
                                                - fixed
                                                - null
                                              description: How the management fee is calculated.
                                            renewal_fee:
                                              type:
                                                - number
                                                - 'null'
                                              description: >-
                                                The default renewal fee charged to
                                                landlords for units in the building.
                                            rent_review_fee:
                                              type:
                                                - number
                                                - 'null'
                                              description: >-
                                                The default rent review fee charged to
                                                landlords for units in the building.
                                            tax:
                                              type:
                                                - number
                                                - 'null'
                                              description: >-
                                                The default tax rate applied to fees
                                                charged to landlords for units in the
                                                building.
                                            tax_behavior:
                                              type:
                                                - string
                                                - 'null'
                                              enum:
                                                - exclusive
                                                - inclusive
                                                - null
                                              description: >-
                                                Whether the default tax rate is
                                                inclusive or exclusive of the fee
                                                amount.
                                            tenant_find_fee:
                                              type:
                                                - number
                                                - 'null'
                                              description: >-
                                                The default tenant find fee charged to
                                                landlords for units in the building.
                                            updated_at:
                                              type:
                                                - integer
                                                - 'null'
                                              description: >-
                                                The time at which the unit fees were
                                                last updated.
                                          required:
                                            - management_fee
                                            - management_fee_amount
                                            - management_fee_discount
                                            - management_fee_type
                                            - renewal_fee
                                            - rent_review_fee
                                            - tax
                                            - tax_behavior
                                            - tenant_find_fee
                                            - updated_at
                                          description: >-
                                            Fee overrides for the unit. Defaults to
                                            the fees on the building when not set.
                                        furnished:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: Whether the unit is furnished.
                                        floor:
                                          type:
                                            - number
                                            - 'null'
                                          description: The floor the unit is on.
                                        has_owner:
                                          type:
                                            - boolean
                                            - 'null'
                                          description: >-
                                            Whether the unit currently has at least
                                            one owner attached.
                                        compliance:
                                          type:
                                            - object
                                            - 'null'
                                          properties:
                                            epc:
                                              type:
                                                - string
                                                - 'null'
                                              description: >-
                                                The ID of the file containing the EPC
                                                certificate.
                                            epc_expires_at:
                                              type:
                                                - number
                                                - 'null'
                                              description: >-
                                                The date at which the EPC certificate
                                                expires.
                                            electric_safety:
                                              type:
                                                - string
                                                - 'null'
                                              description: >-
                                                The ID of the file containing the
                                                electric safety certificate.
                                            electric_safety_expires_at:
                                              type:
                                                - number
                                                - 'null'
                                              description: >-
                                                The date at which the electric safety
                                                certificate expires.
[...]
